<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:11 CET 2009 -->
<TITLE>
ch.javasoft.smx.ops Class Hierarchy
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="ch.javasoft.smx.ops Class Hierarchy";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/smx/ops/ext/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/ops/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
Hierarchy For Package ch.javasoft.smx.ops
</H2>
</CENTER>
<DL>
<DT><B>Package Hierarchies:</B><DD><A HREF="../../../../overview-tree.html">All Packages</A></DL>
<HR>
<H2>
Class Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/Add.html" title="class in ch.javasoft.smx.ops"><B>Add</B></A><LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/Gauss.html" title="class in ch.javasoft.smx.ops"><B>Gauss</B></A><LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/GaussPivoting.BiLenProductL.html" title="class in ch.javasoft.smx.ops"><B>GaussPivoting.BiLenProductL</B></A> (implements ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/GaussPivoting.html" title="interface in ch.javasoft.smx.ops">GaussPivoting</A>&lt;M&gt;)
<LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/GaussPivoting.BiLenProductLE.html" title="class in ch.javasoft.smx.ops"><B>GaussPivoting.BiLenProductLE</B></A> (implements ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/GaussPivoting.html" title="interface in ch.javasoft.smx.ops">GaussPivoting</A>&lt;M&gt;)
<LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/GaussPivoting.BiLenProductLorEandMoreRowZeros.html" title="class in ch.javasoft.smx.ops"><B>GaussPivoting.BiLenProductLorEandMoreRowZeros</B></A> (implements ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/GaussPivoting.html" title="interface in ch.javasoft.smx.ops">GaussPivoting</A>&lt;M&gt;)
<LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/GaussPivoting.BiLenSumLorEandMoreRowZeros.html" title="class in ch.javasoft.smx.ops"><B>GaussPivoting.BiLenSumLorEandMoreRowZeros</B></A> (implements ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/GaussPivoting.html" title="interface in ch.javasoft.smx.ops">GaussPivoting</A>&lt;M&gt;)
<LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/GaussPivoting.BiMaxLenLorEandMoreRowZeros.html" title="class in ch.javasoft.smx.ops"><B>GaussPivoting.BiMaxLenLorEandMoreRowZeros</B></A> (implements ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/GaussPivoting.html" title="interface in ch.javasoft.smx.ops">GaussPivoting</A>&lt;M&gt;)
<LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/Hsl.html" title="class in ch.javasoft.smx.ops"><B>Hsl</B></A><LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/Hsl.Result_mc66.html" title="class in ch.javasoft.smx.ops"><B>Hsl.Result_mc66</B></A><LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/HslGateway.html" title="class in ch.javasoft.smx.ops"><B>HslGateway</B></A><LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/Invert.html" title="class in ch.javasoft.smx.ops"><B>Invert</B></A><LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/Mul.html" title="class in ch.javasoft.smx.ops"><B>Mul</B></A><LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/Neg.html" title="class in ch.javasoft.smx.ops"><B>Neg</B></A><LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/NullspaceRank.html" title="class in ch.javasoft.smx.ops"><B>NullspaceRank</B></A><LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/ScalarOps.html" title="class in ch.javasoft.smx.ops"><B>ScalarOps</B></A><LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/Sub.html" title="class in ch.javasoft.smx.ops"><B>Sub</B></A><LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/Transpose.html" title="class in ch.javasoft.smx.ops"><B>Transpose</B></A></UL>
</UL>
<H2>
Interface Hierarchy
</H2>
<UL>
<LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/ExtendedMatrixOperations.html" title="interface in ch.javasoft.smx.ops"><B>ExtendedMatrixOperations</B></A>&lt;N,I&gt;<LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/GaussPivoting.html" title="interface in ch.javasoft.smx.ops"><B>GaussPivoting</B></A>&lt;M&gt;<LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/MatrixOperations.html" title="interface in ch.javasoft.smx.ops"><B>MatrixOperations</B></A>&lt;N&gt;</UL>
<H2>
Enum Hierarchy
</H2>
<UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Object.html" title="class or interface in java.lang"><B>Object</B></A><UL>
<LI TYPE="circle">java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Enum.html" title="class or interface in java.lang"><B>Enum</B></A>&lt;E&gt; (implements java.lang.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/Comparable.html" title="class or interface in java.lang">Comparable</A>&lt;T&gt;, java.io.<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Serializable.html" title="class or interface in java.io">Serializable</A>)
<UL>
<LI TYPE="circle">ch.javasoft.smx.ops.<A HREF="../../../../ch/javasoft/smx/ops/Hsl.Info_mc66.html" title="enum in ch.javasoft.smx.ops"><B>Hsl.Info_mc66</B></A></UL>
</UL>
</UL>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Class</FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <FONT CLASS="NavBarFont1">Use</FONT>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Tree</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../ch/javasoft/smx/impl/package-tree.html"><B>PREV</B></A>&nbsp;
&nbsp;<A HREF="../../../../ch/javasoft/smx/ops/ext/package-tree.html"><B>NEXT</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../index.html?ch/javasoft/smx/ops/package-tree.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="package-tree.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
